#include <cstdio>

int main() {
    freopen("knight.in", "r", stdin);
    freopen("knight.out", "w", stdout);

    int a, b, c, d;
    scanf("%d%d%d%d", &a, &b, &c, &d);
    if (c < a) {
        printf("NO\n");
        printf("4\n");
        printf("0 1\n");
        printf("0 -1\n");
        printf("-1 0\n");
        printf("%d 0\n", c);
    } else if (d < b) {
        printf("NO\n");
        printf("4\n");
        printf("1 0\n");
        printf("-1 0\n");
        printf("0 -1\n");
        printf("0 %d\n", d);
    } else if (a == 1 && a < c) {
        printf("NO\n");
        printf("2\n");
        printf("0 1\n");
        printf("0 -1\n");
    } else if (b == 1 && b < d) {
        printf("NO\n");
        printf("2\n");
        printf("1 0\n");
        printf("-1 0\n");
    } else {
        printf("YES\n");
    }
    return 0;
}